
QGIS Application - Bug report #16232

Update SRS DB with latest data from GDAL

2017-02-25 06:20 PM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 24142

Description

My Linux builds of QGIS 2.18 are missing a number of map projections that appear in GDAL. As best I can tell, this is a result of an

outdated SRS database. I am not having the same problem in my Windows installation but I suspect that must be a result of the

OSGEO4W packaging, which must be providing an updated database.

Two examples that I'm aware of:

    1. EPSG 6420 (California region III)

    2. EPSG 7599 (WISCRS Dane County)

History

#1 - 2017-03-01 01:30 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

crssync should be run on install to sync the srs.db with the installed GDAL.

#2 - 2017-03-01 08:28 AM - Spencer Gardner

Is this an additional installation step when building from source? If so, it should be documented. Isn't it odd to expect a user to manually run crssync when

it could be called by the build script?

#3 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown
